% ADJOINT Add-on module for adjoint-based production optimisation
%
% Files
%   addAdjointWellFields            - SYNOPSIS:
%   adjointFluidFields              - Extend fluid functionality with fields needed in (2nd order) adjoint imp.
%   assembleWellSystem              - Generate pressure linear system components for wells.
%   computeAdjointRHS               - Compute adjoint 'pressure' rhs 
%   computeGradient                 - compute gradient for control variables and project according to
%   computeNumericalGradient        - compute numerical gradient
%   controls2RHS                    - Create mappings A_N, b_N, A_D, b_D such that 
%   controls2Wells                  - Create mappings A_N, b_N, A_D, b_D such that 
%   dispControls                    - Display control values.
%   dispSchedule                    - Display schedule values
%   generateUpstreamTransportMatrix - generateUpstreamTransportMatrix for use in saturation solver
%   initControls                    - initControls -- Initialize control structure based on well schedule
%   initSchedule                    - initSchedule -- Initialize schedule structure based on well W.
%   optimizeObjective               - optimizeObjective -- Run whole optimization proccess using ad-hoc line
%   projectGradient                 - Project gradient according to linear input constraints. Handles box-constraints and 
%   runAdjoint                      - runAdjoint -- Run adjoint simulation based on simRes and schedule.
%   runSchedule                     - runSchedule -- Run simulation based on schedule.
%   solveAdjointPressureSystem      - Find current time step (search for empty slots in adjRes)
%   solveAdjointTransportSystem     - Find current time step (search for empty slots in adjRes)
%   updateSchedule                  - Update schedule based on controls
%   updateWells                     - Update wells based on schedule time step
%   lineSearchAgr                   - Run agressive line search based on given gradient.
%   solveIncompFlowLocal            - Local version of solveIncompFlow for use with adjoint module. Local
