function boxKeyword(fid)
%Uniform handling of BOX keyword
%
% SYNOPSIS:
%   boxKeyword(fid)
%
% PARAMETERS:
%   fid - Input stream (as defined by FOPEN) from which to retrieve the
%         next input box definition.
%
% RETURNS:
%   Nothing, but resets the global input box depending on keyword data.
%
% SEE ALSO:
%   private/gridBox.

%{
Copyright 2009, 2010, 2011, 2012 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}

% $Date: 2012-09-27 13:44:28 +0200 (Thu, 27 Sep 2012) $
% $Revision: 9838 $

   tmpl = arrayfun(@int2str, gridBox, 'UniformOutput', false);
   data = readDefaultedRecord(fid, tmpl);

   gridBox(cellfun(@str2double, data));
end
