% Supporting utilities for MATLAB Reservoir Simulation Toolbox (MRST).
%
% Files
%   buildmex              - Wrapper around MEX which abstracts away details of pathname generation.
%   cellFlux2faceFlux     - Transform cell-based flux field to face-based.
%   dinterpq1             - Compute derivative of piecewise linear interpolant.
%   dispif                - Produce textual output contingent upon predicate.
%   faceFlux2cellFlux     - Transform face-based flux field to cell-based.
%   invv                  - INVV(A, sz)
%   mcolon                - Compute vector of consecutive indices from separate lower/upper bounds.
%   merge_options         - Override default control options.
%   msgid                 - Construct Error/Warning message ID by prepending function name.
%   rldecode              - Decompress run length encoding of array A along dimension dim.
%   rlencode              - Compute run length encoding of array A along dimension dim.
%   ROOTDIR               - Retrieve full path of Toolbox installation directory.
%   ticif                 - Evaluate function TIC if input is true.
%   tocif                 - Evaluate function TOC if input is true.
%   blockDiagIndex        - Compute subscript or linear index to nonzeros of block-diagonal matrix
%   faceFlux2cellVelocity - Transform face-based flux field to one constant velocity per cell.
%   geomspace             - Geometrically spaced vector.
%   mrstDebug             - Globally control default settings for MRST debugging information.
%   mrstModule            - Query or modify list of activated add-on MRST modules
%   mrstVerbose           - Globally control default settings for MRST verbose information.
%   require               - Announce and enforce module dependency.

%{
Copyright 2009, 2010, 2011, 2012 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
